<?php

	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
$fr=$_GET['f'];
$q = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(mysql_real_escape_string($fr))."'");
$f = mysql_fetch_array($q);
	if($game==0 OR $level==0 OR $f['id']=='' OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
echo "<title>Альянс ".$f['name']."</title>";
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
echo '<div class="razd"></div>';
echo '<div class="top-nav1"><img src="../images/icon/all.png" width="30px" alt="" /> <b>Альянс</b> <font color="#4EEE94"><b>['.$f['name'].']</b></font> | <font color="#FF0000"><b>Состав</b></font></div>';
echo '<div class="razd"></div>';
	 		switch ($act) {
	default:
	$PAGINGS = mysql_query("SELECT * FROM `fractions_users` WHERE `fid`='".$f['id']."' ORDER BY `adm` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{
			
					echo '<center><div class="window1">';
					echo '<div class="dashed"></div>';
					$q1 = mysql_query("SELECT * FROM `users` WHERE `id`='".check(mysql_real_escape_string($row['uid']))."'");
					$f1 = mysql_fetch_array($q1);
					echo ''.rasa($f1['rasa']).' <a href="../p/anketa.php?id='.$f1['id'].'"><span class="'.crasa($f1['rasa']).'">'.$f1['login'].'</span></a>';
					if($f['uid']==$use_id AND $row['uid']!=$use_id)echo ' [<a href="?act=rank&amp;f='.$f['id'].'&amp;u='.$row['uid'].'">изм</a>]';
					if($f1['lasttime'] > time()-$online_time)echo ' <span class="green">on</span>';
					if($f1['lasttime'] <= time()-$online_time)echo ' ['.dates($f1['lasttime']).']';
					if($row['adm']==1)echo ' - <font color="#FF0000">[Лидер]</font>';
					echo '<div class="dashed"></div>';
					echo '</div></center>'; 
					echo '<div class="razd"></div>';
			
	}

	}
	echo '<div class="blok"><a href="fraction.php?f='.$f['id'].'"><b>Назад</b></a></div>';
	break;
	case 'rank':
	$u=$_GET['u'];
	$q1 = mysql_query("SELECT * FROM `users` WHERE `id`='".check(mysql_real_escape_string($u))."'");
	$f1 = mysql_fetch_array($q1);
	if($f['uid']==$use_id AND $f1['id']!=$use_id AND $f1['fr_id']==$f['id']){
	echo '<div class="cont">Игрок: '.rasa($f1['rasa']).' <a href="../p/anketa.php?id='.$f1['id'].'"><span class="'.crasa($f1['rasa']).'">'.$f1['login'].'</span></a></div><div class="conts">';
			if(!$_POST)
	{

			echo '<form action="" method="POST">';
			echo 'Звание:<br/><select name="type">';
			echo '<option value="0">Член фракции</option>';
			echo '<option value="1">Глава фракции</option>';
			echo '</select> <input type="submit" name="submit" value="Изменить"/></form>';

			
	}
	else
	{
			if ($type<0 OR $type>1)
			$error = $error . 'Нет такого звания!<br/>';
		$type = check(trim($_POST['type']));
		$error = false;
		
	  
	  		if (empty($error))
		{
		echo 'Звание игрока '.rasa($f1['rasa']).' <a href="../p/anketa.php?id='.$f1['id'].'"><span class="'.crasa($f1['rasa']).'">'.$f1['login'].'</span></a> изменено!<br/>';

		mysql_query("UPDATE `fractions_users` SET `adm`='".$type."' WHERE `uid` = '".$f1['id']."'");
		}
		else
		{
			echo ''.$error.'';
			
		}
	}
	}
	echo '<a href="users.php?f='.$f['id'].'"><<Назад</a></div>';
}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>